GET /data/transactions curl --fail-with-body --silent --show-error \
-H "Authorization: Bearer $MEREU_API_KEY" \
-H 'Accept: application/json' \
--get \
--data-urlencode 'mode=snapshot' \
--data-urlencode 'limit=100' \
"https://mereu.md/api/v1/data/transactions"
// Node.js 24+. Run on your server; set the named environment variables.
const env = (name) => {
const value = process.env[name];
if (!value) throw new Error("Missing environment variable: " + name);
return value;
};
const url = new URL("https://mereu.md/api/v1/data/transactions");
url.searchParams.set("mode", "snapshot");
url.searchParams.set("limit", "100");
const response = await fetch(url, {
method: "GET",
redirect: "error",
signal: AbortSignal.timeout(15000),
headers: {
"Authorization": "Bearer " + env("MEREU_API_KEY"),
"Accept": "application/json"
}
});
const result = await response.json();
if (!response.ok) {
throw Object.assign(new Error(result.error?.code || "API_ERROR"), {
status: response.status,
requestId: result.error?.request_id || response.headers.get("X-Request-Id"),
retryAfter: response.headers.get("Retry-After")
});
}
console.log(JSON.stringify(result, null, 2));
# Python 3, standard library only. Run on your server.
import json
import os
from urllib.parse import quote, urlencode
from urllib.request import Request, build_opener, HTTPRedirectHandler
from urllib.error import HTTPError
def env(name):
value = os.environ.get(name)
if not value:
raise ValueError("Missing environment variable: " + name)
return value
class NoRedirect(HTTPRedirectHandler):
def redirect_request(self, req, fp, code, msg, headers, newurl):
return None
url = "https://mereu.md/api/v1/data/transactions"
url += "?" + urlencode({
"mode": "snapshot",
"limit": 100
})
headers = {
"Authorization": "Bearer " + env("MEREU_API_KEY"),
"Accept": "application/json"
}
request = Request(url, method="GET", headers=headers)
try:
with build_opener(NoRedirect()).open(request, timeout=15) as response:
result = json.load(response)
except HTTPError as error:
try:
code = json.load(error).get("error", {}).get("code", "API_ERROR")
except (ValueError, AttributeError):
code = "INVALID_RESPONSE"
raise SystemExit("HTTP " + str(error.code) + ": " + code
+ "; request_id=" + str(error.headers.get("X-Request-Id"))
+ "; retry_after=" + str(error.headers.get("Retry-After"))) from None
print(json.dumps(result, indent=2))
The JavaScript (Node.js 24+) and Python 3 examples are self-contained. Run them on your server and set the environment variables shown in the code.
JSON response · example JSON
{
"mode": "snapshot",
"data": [
{
"id": "02ba3b75-36cb-414f-b37d-a45aef8b755e",
"kind": "purchase",
"amount": {
"currency": "USD",
"amount_minor": 1000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": 1000,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.342+02:00",
"original_id": null,
"earned_minor": 50,
"discount_minor": 0,
"redeemed_minor": 0,
"recorded_currency": "USD",
"financial_transaction_id": "9143d890-3786-476b-95fc-c2e5d3811a82"
},
{
"id": "21204319-82dc-49cb-b7f5-25cfb7ed919e",
"kind": "refund",
"amount": {
"currency": "USD",
"amount_minor": 5000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": null,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.336+02:00",
"original_id": "85881fec-f63f-47af-85d8-c26321fdf6a4",
"earned_minor": null,
"discount_minor": null,
"redeemed_minor": null,
"recorded_currency": "USD",
"financial_transaction_id": "e9669e39-7004-4fee-800f-eabb491f76fd"
},
{
"id": "27ac4826-8fc9-41b1-aecd-49ddbe29b83f",
"kind": "purchase",
"amount": {
"currency": "USD",
"amount_minor": 1000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": 1000,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.633+02:00",
"original_id": null,
"earned_minor": 50,
"discount_minor": 0,
"redeemed_minor": 0,
"recorded_currency": "USD",
"financial_transaction_id": "c02f1879-6798-4cf7-82f9-21710d174575"
},
{
"id": "680346cd-80ca-4a48-a724-8a03b7fdee50",
"kind": "purchase",
"amount": {
"currency": "USD",
"amount_minor": 1000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": 1000,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.624+02:00",
"original_id": null,
"earned_minor": 50,
"discount_minor": 0,
"redeemed_minor": 0,
"recorded_currency": "USD",
"financial_transaction_id": "ffb74fc3-c733-4b0b-8737-85d894f44e7b"
},
{
"id": "6abad407-d6de-4b6f-b47f-e5fc07b575c4",
"kind": "void",
"amount": {
"currency": "USD",
"amount_minor": 1000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": null,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.647+02:00",
"original_id": "27ac4826-8fc9-41b1-aecd-49ddbe29b83f",
"earned_minor": null,
"discount_minor": null,
"redeemed_minor": null,
"recorded_currency": "USD",
"financial_transaction_id": "27cdf9f7-955d-4f27-8b61-e7d7bcf24a1a"
},
{
"id": "85881fec-f63f-47af-85d8-c26321fdf6a4",
"kind": "purchase",
"amount": {
"currency": "USD",
"amount_minor": 10000
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": 10000,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.327+02:00",
"original_id": null,
"earned_minor": 500,
"discount_minor": 0,
"redeemed_minor": 0,
"recorded_currency": "USD",
"financial_transaction_id": "bcf39052-3c37-4256-8245-936ffb69b091"
},
{
"id": "9d766b53-3c90-4a5e-82cd-1c158013afd3",
"kind": "refund",
"amount": {
"currency": "USD",
"amount_minor": 500
},
"source": "pos",
"card_id": "e4babb11-474a-4132-93de-6611f03cb8f1",
"deleted": false,
"gross_minor": null,
"location_id": "9788420f-8230-4e89-a189-6e557783346e",
"occurred_at": "2026-11-05T00:13:44.628+02:00",
"original_id": "680346cd-80ca-4a48-a724-8a03b7fdee50",
"earned_minor": null,
"discount_minor": null,
"redeemed_minor": null,
"recorded_currency": "USD",
"financial_transaction_id": "a8156742-bfc3-4137-9ccd-b96acfd4ef12"
}
],
"next_cursor": null,
"sync_cursor": "eyJ2IjoxLCJyZXNvdXJjZSI6InRyYW5zYWN0aW9ucyIsImJpbmRpbmciOiIxNDQ3OWM3NTZmMzViZTM4NDQyMTQ4NWMzODU2YmI1MjFlNmEyMTk1NzA3MWU2MWI1Y2IxZDVkYjdjODVhYWJmIiwiaXNzdWVkX2F0IjoxNzkzODMwNDI0Njc2LCJtb2RlIjoiY2hhbmdlcyIsImFmdGVyX3R4IjoiMTIyNyIsImFmdGVyX2V2ZW50IjoiOTIyMzM3MjAzNjg1NDc3NTgwNyJ9.VrN6XZ_xClUYOmHfkc17g3qkqbq-IcPoT0nhfiv2UBA"
}
Illustrative data from isolated checks. These identifiers do not belong to your account.